<?php
/**
 *
 * This software is a derived product, based on:
 * @name     	PortaMX-SubForums
 * @copyright	PortaMx Corp. http://portamx.com (SMF Version)
 *
 * and is rewritten for ElkArte:
 * @author	ahrasis (Hj Ahmad Rasyid Hj Ismail)
 * @email	ahrasis@gmail.com
 * @link	http://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon	Tenancy
 *
 **/ 

function template_main()
{
	global $context, $settings, $modSettings, $scripturl, $base_boardurl, $mbname, $txt;
	loadCSSFile('Tenancy/Tenancy.template.css');

	echo '
	<div id="tenancy">
	<div id="tenancy_header">
		<h2 class="category_header">', $txt['tenancy_admin_title'], '</h2>
		<p class="windowbg description">' . $txt['tenancy_admin_description'] . '</p>
	</div>

	<div class="windowbg">
		<form id="tenancy_form" accept-charset="UTF-8" name="Tenancy" action="' . $scripturl . '?action=admin;area=tenancy;' . $context['session_var'] . '=' .$context['session_id'] . '" method="post">
			<input type="hidden" name="sc" value="', $context['session_id'], '" />
			<input id="tenancy_action" type="hidden" name="" value="" />

			<h2 class="category_header">
				', isset($_POST['add']) ? $txt['tenancy_admin_title_add'] : $txt['tenancy_admin_title_modify'], '
			</h2>
			<div class="content">';
			/* TO DELETE
				<ul class="catbg">';

	if(empty($context['tenancy']['action']))
		echo '
					<li class="first_th">' . $txt['tenancy_admin_host_name'] . '</li>
					<li class="mid_th">' . $txt['tenancy_admin_cats'] . '</li>
					<li class="mid_th">' . $txt['tenancy_admin_theme_access'] . '</li>
					<li class="last_th">' . $txt['tenancy_admin_theme'] . '</li>
				</ul>';
	else
		echo '
					<li class="first_th">' . $txt['tenancy_admin_host'] . '</li>
					<li class="mid_th">' . $txt['tenancy_admin_cats'] . '</li>
					<li class="mid_th">' . $txt['tenancy_admin_access'] . '</li>
					<li class="last_th">' . $txt['tenancy_admin_theme'] . '</li>
				</ul>';
*/
	if(empty($context['tenancy']['action']))
	{
		$urlparts = parse_url($scripturl);
		$baseurl = parse_url($base_boardurl);
		/* Master Host */
		echo '
				<ul id="master">
					<li class="master">
						' . $txt['tenancy_admin_master_name'] . '
						' . $mbname . '
					</li>
					<li class="master">
						' . $txt['tenancy_admin_master_host'] . '
						<a href="javascript:void(\'\')"  onclick="TenancySwitchto(\'' . $baseurl['host'] . '\')">
							[ ' . $baseurl['host'] . ' ]
						</a>
						' . (($_SERVER['SERVER_NAME'] === $baseurl['host']) ? '<img src="' . $settings['images_url'] . '/icons/field_valid.png' . '" alt="**" />' : '') . '<br />
					</li>
					<li class="master">
						<input type="hidden" name="tenancy_adminonly" value="0" />
						' . $txt['tenancy_admin_onlyadmin'] . '
						<input class="input_check" type="checkbox" name="tenancy_adminonly" value="1"' . (!empty($modSettings['tenancy_adminonly']) ? ' checked="checked"' : '') . ' onchange="TenancySubmit(\'save\', \'main\')" />
					</li>
					<li class="master">
						<input type="hidden" name="tenancy_xmlrss" value="0" />
						' . $txt['tenancy_admin_xmlrss'] . '
						<input class="input_check" type="checkbox" name="tenancy_xmlrss" value="1"' . (!empty($modSettings['tenancy_xmlrss']) ? ' checked="checked"' : '') . ' onchange="TenancySubmit(\'save\', \'main\')" />
						<input class="button_submit floatright" type="button" value="' . $txt['tenancy_admin_add'] . '" name="" onclick="TenancySubmit(\'add\', 0)" />
					</li>
				</ul>';
				
		foreach($context['tenancy']['data'] as $part)
		{	
		/* Tenant Host */
			echo '
				<hr />
				<ul id="tenant">
					<li class="tenant">
						' . $txt['tenancy_admin_name'] . '
						' . (empty($part['name']) ? $mbname : $part['name']) . '
					</li>
					
					<li class="tenant">
						' . $txt['tenancy_admin_host'] . '
						<a href="javascript:void(\'\')"  onclick="TenancySwitchto(\'' . $part['host'] . '\')">[ ' . $part['host'] . ' ]</a>' . (($_SERVER['SERVER_NAME'] === $part['host']) ? '<img src="' . $settings['images_url'] . '/icons/field_valid.png' . '" alt="**" />' : '') . '<br />
					</li>' /*
					<li class="tenant">
						' . sprintf($txt['tenancy_admin_info'], $part['topics'], $part['posts']) . '
					</li>*/ . '
					
					<li class="tenant">
						' . $txt['tenancy_admin_cats'];
						$islast = count($part['cats']) -1;
						foreach($part['cats'] as $catid)
						{
							echo str_replace(' ', '&nbsp;', $context['tenancy']['cats'][$catid]) . (!empty($islast) ? ', ' : '');
							$islast--;
						}
			echo '
					</li>
					
					<li class="tenant">
						' . $txt['tenancy_admin_cedit'];
						$islast = count($part['cedit']) -1;
						foreach($part['cedit'] as $ceditid)
						{
							echo str_replace(' ', '&nbsp;', $context['tenancy']['cedit'][$ceditid]) . (!empty($islast) ? ', ' : '');
							$islast--;
						}
			echo '
					</li>
					
					<li class="tenant">
						' . $txt['tenancy_admin_access'];
						if(count($part['groups']) > 0)
						{
							$islast = count($part['groups']) -1;
							foreach($part['groups'] as $grpID)
							{
								echo str_replace(' ', '&nbsp;', $context['tenancy']['groups'][$grpID]) . (!empty($islast) ? ', ' : '');
								$islast--;
							}
						}
						else
							echo $txt['tenancy_admin_nogroups'];
			echo '
					</li>
					
					<li class="tenant">
						<div id="div. ' . $part['host'] . '">
							' . $txt['tenancy_admin_theme'] . '
							' . (!empty($context['tenancy']['themes'][$part['theme']]) ? $context['tenancy']['themes'][$part['theme']] : $txt['tenancy_admin_default']) . '<br />
							' . $txt['tenancy_admin_lang'] . '
							' . (!empty($context['tenancy']['langs'][$part['language']]) ? $context['tenancy']['langs'][$part['language']]['name'] : $txt['tenancy_admin_default']) . '
						</div>
						<div id="pos. ' . $part['host'] . '" style="position:relative; top:0; text-align:right;">';
			if($_SERVER['SERVER_NAME'] != $part['host'])
				echo '
							<input class="button_submit smalltext" type="button" value="' . $txt['tenancy_admin_delete'] . '" name="" onclick="TenancySubmit(\'delete\', \'' . $part['id'] . '\', \'' . sprintf($txt['tenancy_admin_delete_msg'], $part['host']) . '\')" />';
			echo '
							&nbsp;<input class="button_submit smalltext" type="button" value="' . $txt['tenancy_admin_edit'] . '" name="" onclick="TenancySubmit(\'edit\', \'' . $part['id'] . '\')" />
						</div>
					</li>
				</ul>';
		}
	}

	elseif($context['tenancy']['action'] == 'edit')
	{
		/* Edit Tenant Host */
			echo '
				<ul id="edit">
					<li class="edit">
						' . $txt['tenancy_admin_name'] . '
						<input type="text" name="tenancy_name" value="' . $context['tenancy']['data']['name'] . '" class="fill_box" style="width:100%;" />
						' . $txt['tenancy_admin_name_help'] . '
					</li>
					
					<li class="edit">
						' . $txt['tenancy_admin_host'] . '
						<input type="text" name="tenancy_host" value="' . $context['tenancy']['data']['host'] . '" class="fill_box" style="width:100%;" />
						' . $txt['tenancy_admin_host_help'] . '
					</li>
					
					<li class="edit">
						' . $txt['tenancy_admin_cats'] . '
						<select name="tenancy_cats[]" size="9" multiple="multiple" class="select_box">';
			foreach($context['tenancy']['cats'] as $catID => $catName)
				echo'
							<option value="' . $catID . '"' . (in_array($catID, $context['tenancy']['data']['cats']) ? 'selected="selected"' : ''). '>' . $catName . '</option>';
			echo '
						</select>
					</li>
					
					<li class="edit">
						' . $txt['tenancy_admin_cedit'] . '
						<select name="tenancy_cedit[]" size="9" multiple="multiple" class="select_box">';
			foreach($context['tenancy']['cedit'] as $ceditID => $ceditName)
				echo'
							<option value="' . $ceditID . '"' . (in_array($ceditID, $context['tenancy']['data']['cedit']) ? 'selected="selected"' : ''). '>' . $ceditName . '</option>';
			echo '
						</select>
					</li>
					
					<li class="edit">
						' . $txt['tenancy_admin_access'] . '
						<select name="tenancy_groups[]" size="9" multiple="multiple" class="select_box">';
			foreach($context['tenancy']['groups'] as $grpID => $grpName)
				echo'
							<option value="' . $grpID . '"' . (!empty($context['tenancy']['data']['groups']) && in_array($grpID, $context['tenancy']['data']['groups']) ? 'selected="selected"' : ''). '>' . $grpName . '</option>';
			echo '
						</select>
						' . $txt['tenancy_admin_access_help'] . '
					</li>

					<li class="edit"><ul><li>
						' . $txt['tenancy_admin_reg_group'] . '
						<select name="tenancy_register" class="select_one">';
			foreach($context['tenancy']['groups'] as $grpID => $grpName)
			{
				if($grpID == -1)
					$grpName = $txt['tenancy_admin_default'];
				echo'
							<option value="' . $grpID . '"' . (!empty($context['tenancy']['data']['reg_group']) && $grpID == $context['tenancy']['data']['reg_group'] ? 'selected="selected"' : ''). '>' . $grpName . '</option>';
			}
			echo '
						</select>
					</li>
										
					<li>
						' . $txt['tenancy_admin_theme'] . '
						<select name="tenancy_theme" class="select_one">
							<option value="0"' . (empty($context['tenancy']['data']['theme']) ? 'selected="selected"' : '') . '>' . $txt['tenancy_admin_default'] . '</option>';
			foreach($context['tenancy']['themes'] as $thID => $thName)
				echo'
							<option value="' . $thID . '"' . ($thID == $context['tenancy']['data']['theme'] ? 'selected="selected"' : ''). '>' . $thName . '</option>';
			echo '
						</select>
					</li>
					
					<li>
						' . $txt['tenancy_admin_lang'] . '
						<select name="tenancy_lang" class="select_one">
							<option value=""' . (empty($context['tenancy']['data']['language']) ? 'selected="selected"' : '') . '>' . $txt['tenancy_admin_default'] . '</option>';
			foreach($context['tenancy']['langs'] as $lang => $langData)
				echo'
							<option value="' . $lang . '"' . ($lang == $context['tenancy']['data']['language'] ? 'selected="selected"' : ''). '>' . $langData['name'] . '</option>';
			echo '
						</select>
						' . $txt['tenancy_admin_theme_help'] . '<br />
						<input class="button_submit floatright" type="button" value="' . $txt['modify_cancel'] . '" name="" onclick="TenancySubmit(\'cancel\', \'0\')" />
						<input class="button_submit floatright" type="button" value="' . $txt['save'] . '" name="" onclick="TenancySubmit(\'save\', \'' . $context['tenancy']['data']['id'] . '\')" />
					</li></ul></li>
				</ul>';
	}

	echo '
			</div>
			<span class="botslice"><span></span></span>
		</form>
	</div>
	</div>

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		function TenancySwitchto(host)
		{
			var oldhost = window.location.hostname;
			window.location.href = window.location.href.replace(oldhost, host);
		}
		function TenancySubmit(tName, tVal, tMsg)
		{
			if(tMsg)
			{
				if(!confirm(tMsg) == true)
				return;
			}
			document.getElementById("tenancy_action").name = tName;
			document.getElementById("tenancy_action").value = tVal;
			document.getElementById("tenancy_form").submit();
		}';

	if(empty($context['tenancy']['action']))
	{
		echo '
		function TenancySetPost(elm)
		{
			var divpos = document.getElementById("tr." +elm).offsetHeight - document.getElementById("div." +elm).offsetHeight;
			document.getElementById("pos." +elm).style.top = (divpos - 37) +"px";
		}';

		foreach($context['tenancy']['data'] as $part)
			echo '
		TenancySetPost("' . $part['host'] . '");';
	}

	echo '
	// ]]></script>';
}
?>